Skip to navigation

Upsert Customer Form Field Values

Deprecated

This endpoint is deprecated. Use Update a Customer Address and Update Customers endpoints instead.

To learn more about editing form fields, see Adding and Editing Fields in the Account Signup Form.

Limits

  • Limit of 10 concurrent requests.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only
Stored Payment Instrumentsmodifystore_stored_payment_instruments
Stored Payment Instrumentsread-onlystore_stored_payment_instruments_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Request

This endpoint expects a list of objects.
Customer Form Field ValueobjectRequired
OR
Customer Address Form Field ValueobjectRequired

Response

The customer's form field values.
datalist of objectsOptional
metaobjectOptional
Response metadata.

Errors

422
Unprocessable Entity Error